<?php
/**
 * @package     Joomla.Site
 * @subpackage  mod_related_items
 *
 * @copyright   Copyright (C) 2005 - 2016 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;
?>
<ul class="relateditems<?php echo $moduleclass_sfx; ?>">
<?php foreach ($list as $item) :	?>
<li>
	<a href="<?php echo $item->route; ?>">
		<?php if ($showDate) echo JHtml::_('date', $item->created, JText::_('DATE_FORMAT_LC4')) . " - "; ?>
		<?php echo $item->title; ?></a>

	<?php $images = json_decode($item->images); ?>
   <img class="image_intro" src="<?php echo $images->image_intro; ?>" alt="<?php echo $images->image_intro_alt; ?>"/>

   <p class="mod-related-items-introtext">
		<?php echo $item->introtext; ?>
	</p>

	<p class="mod-related-items-readmore">
	<a class="mod-related-items-title <?php echo $item->active; ?>" href="<?php echo $item->link; ?>">
	<?php if ($item->params->get('access-view') == false) :
		echo JText::_('MOD_RELATED_ITEMS_REGISTER_TO_READ_MORE');
	elseif ($readmore = $item->alternative_readmore) :
		echo $readmore;
		echo JHtml::_('string.truncate', $item->title, $params->get('readmore_limit'));
			if ($params->get('show_readmore_title', 0) != 0) :
				echo JHtml::_('string.truncate', ($this->item->title), $params->get('readmore_limit'));
				endif;
	elseif ($params->get('show_readmore_title', 0) == 0) :
		echo JText::sprintf('MOD_RELATED_ITEMS_READ_MORE_TITLE');
	else :
		echo JText::_('MOD_RELATED_ITEMS_READ_MORE');
		echo JHtml::_('string.truncate', ($item->title), $params->get('readmore_limit'));
	endif; ?>
	</a>
	</p>
</li>
<?php endforeach; ?>
</ul>
